# IntSetStatAdder (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stats.data
Class IntSetStatAdder

    java.lang.Object
      com.threerings.stats.data.StatModifier<IntSetStat>
          com.threerings.stats.data.IntSetStatAdder

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class IntSetStatAdder

extends StatModifier<IntSetStat>

Adds a value to an `IntSetStat`.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Constructor Summary
`IntSetStatAdder()` Constructs an empty IntSetStatAdder (for Streaming purposes).
`IntSetStatAdder(Stat.Type type, int value)`

Method Summary
`void` `modify(IntSetStat stat)` Applies the modification to the stat in question.

Methods inherited from class com.threerings.stats.data.StatModifier
`getType, readObject, writeObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntSetStatAdder

    public IntSetStatAdder(Stat.Type type,
                           int value)

### IntSetStatAdder

    public IntSetStatAdder()

  Constructs an empty IntSetStatAdder (for Streaming purposes).

Method Detail

### modify

    public void modify(IntSetStat stat)

  Description copied from class: `StatModifier`
  Applies the modification to the stat in question.

  Specified by:
    `modify` in class `StatModifier<IntSetStat>`

Copyright © 2011. All Rights Reserved.